Bug 1265354 - anaconda does not use official 'default' console font
Summary: anaconda does not use official 'default' console font
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lorax
Version: 7.2
Hardware: All
OS: All
unspecified
low
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1310286
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-22 18:09 UTC by Adam Williamson
Modified: 2016-11-03 23:43 UTC (History)
4 users (show)

Fixed In Version: lorax-19.6.70-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 23:43:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1182562 0 unspecified CLOSED Text interface broken for non-latin languages 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1250260 0 unspecified CLOSED anaconda does not use official 'default' console font eurlatgr 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1265346 0 unspecified CLOSED Appropriate console keymap not loaded when using non-English language in the installer 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2016:2165 0 normal SHIPPED_LIVE lorax bug fix and enhancement update 2016-11-03 13:15:01 UTC

Internal Links: 1182562 1250260 1265346

Description Adam Williamson 2015-09-22 18:09:16 UTC
Following some discussion on #anaconda this morning I noticed that EL 7 has a bug which was recently fixed for Fedora as https://bugzilla.redhat.com/show_bug.cgi?id=1250260 .

If you boot an EL 7 installer image (I checked the most recent CentOS netinstaller image, but I'm assuming they're all the same), /etc/vconsole.conf is missing. This means that systemd-vconsole-setup will not load any console font; the system firmware console font will be used, and this is likely to not include non-Latin characters.

I believe EL 7's official default console font is still latarcyrheb-sun16 - Fedora changed to eurlatgr in Fedora 22, but I don't think that change has been applied to EL 7. So the commit to fix this on master was:

https://github.com/rhinstaller/lorax/commit/57b751685711e2e0b26ab0c0f663a2b2b1b003f3

but for EL 7 it should be adjusted to use 'latarcyrheb-sun16' rather than 'eurlatgr' (the 'eurlatgr' font does not actually exist in current EL 7 images).

This is kinda in the same area as https://bugzilla.redhat.com/show_bug.cgi?id=1182562 , but more general; even though that fix should handle most cases of 'running a text install in a non-Latin language' I think it's still worth doing this in case there are any cases where someone might want to view non-Latin text in the installer environment that aren't covered by that fix. I don't think this would *conflict* with that fix, as that stuff all takes effect long after systemd-vconsole-setup has run.

Comment 1 Adam Williamson 2015-09-22 18:15:33 UTC
Note for users hitting this with current EL 7 images: you can force a specific console font with the 'vconsole.font' kernel parameter, e.g. 'vconsole.font=latarcyrheb-sun16'. For a successful text install in Russian, my recipe is this:

inst.lang=ru_RU.UTF-8 inst.text vconsole.font=latarcyrheb-sun16 vconsole.keymap=ru

the 'vconsole.keymap' parameter handles https://bugzilla.redhat.com/show_bug.cgi?id=1265346 .

Comment 2 Brian Lane 2016-02-20 00:26:28 UTC
It looks like kbd-misc needs to add the font before we can do this.

Comment 4 Michal Kovarik 2016-08-17 09:36:21 UTC
Verified on lorax-19.6.77-1, file /etc/vconsole.conf is available in image.

# cat /etc/vconsole.conf
KEYMAP=us
FONT=eurlatgr

Comment 6 errata-xmlrpc 2016-11-03 23:43:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2165.html


Note You need to log in before you can comment on or make changes to this bug.